import request from '@/utils/request'

// 查询app版本列表
export function listVersion(query) {
  return request({
    url: '/system/version/list',
    method: 'get',
    params: query
  })
}

// 查询app版本详细
export function getVersion(packageName) {
  return request({
    url: '/system/version/' + packageName,
    method: 'get'
  })
}

// 新增app版本
export function addVersion(data) {
  return request({
    url: '/system/version',
    method: 'post',
    data: data
  })
}

// 修改app版本
export function updateVersion(data) {
  return request({
    url: '/system/version',
    method: 'put',
    data: data
  })
}

// 删除app版本
export function delVersion(packageName) {
  return request({
    url: '/system/version/' + packageName,
    method: 'delete'
  })
}
